#!/usr/bin/python

"""
module to print sql statement in nice easy-to-read
formatted way
"""
import re

import six

class SqlClean(object):

    @classmethod
    def show(cls, sql, compact=False):
        if not isinstance(sql, six.text_type):
            sql = str(sql.query)
        return cls.format_sql(sql, compact)

    @classmethod
    def format_sql(cls, txt, compact=False):
        txt = re.sub('(,)', r'\1\n  ', txt)
        txt = re.sub('(FROM|WHERE|LEFT|INNER|OUTER|ORDER)', r'\n  \1  ', txt)
        txt = re.sub('(ON |AND )', r'\n    \1  ', txt)
        if compact:
            txt = re.sub('(SELECT[^\n]+)(.*)(FROM)', r'\1\n       ...\n\3', txt, flags=re.MULTILINE|re.DOTALL)
        return("\n" + txt + "\n;")


sqlclean = SqlClean().show
def sqlp(item, compact=False):
    """Util to print well formatted sql statements

    :arg item: ite to print, QuerySet or Statement
    :arg compact: skip list of fields
    """
    print(sqlclean(item, compact=compact))
